Bug 1000993 - Anaconda not install driver xorg-x11-drv-mach64
Anaconda not install driver xorg-x11-drv-mach64
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vesa (Show other bugs)
19
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 05:33 EDT by Danilo Marcucci
Modified: 2015-02-17 11:55 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:55:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log (63.32 KB, text/plain)
2013-08-27 01:54 EDT, Danilo Marcucci
no flags Details

  None (edit)
Description Danilo Marcucci 2013-08-26 05:33:45 EDT
Description of problem:
After installation of fedora 19 at the first boot "X" server not started.
There are the terminals on TTy2-5 

Version-Release number of selected component (if applicable):
anaconda-19.30.13-1.fc19.i686


How reproducible:
Always

Steps to Reproduce:
1. Install fedora 19
2. First boot after installation

Actual results:
Black screen

Expected results:
"X" sever work correctly with the driver xorg-x11-drv-mach64
I have install it manually with the yum from terminal tty2 and reboot
Suggestion from http://forum.fedoraonline.it/viewtopic.php?pid=215765#p215765
 
Additional info:
By: 
/root/anaconda-ks.cfg 

#version=DEVEL
# System authorization information
auth --enableshadow --passalgo=sha512

# Use CDROM installation media
cdrom
# Run the Setup Agent on first boot
firstboot --enable
ignoredisk --only-use=sdb
# Keyboard layouts
keyboard --vckeymap=it2 --xlayouts='it'
# System language
lang it_IT.UTF-8

# Network information
network  --bootproto=static --device=enp2s1 --gateway=150.217.142.1 --ip=150.217
.142.70 --nameserver=150.217.1.135,150.217.1.32,150.217.22.10 --netmask=255.255.
255.0 --ipv6=auto --activate
network  --bootproto=dhcp --device=enp4s10 --onboot=off --ipv6=auto
network  --hostname=biz-l.fisica.unifi.it
# Root password
rootpw --iscrypted $6$TcP7yNLS2iGE313p$C9PftWSDL9W9XYWrO9ymQZptTujB0.tjSUhI621NI
svXL8TbDuj2g.CoR18amqFfgwOcjD.cdIu2jGj1UvsLl0
# System timezone
timezone Europe/Rome
user --name=Danilo --password=$6$evwVJLt6KZefFQ3v$RbolNNqGdMuXOo76FQb/5tN6OMtR8O
B5C53ehMdpBXuusmpA7sVEebeAJYI0pnYJatfGhojzls3dsKzcTjdGv0 --iscrypted --gecos="Da
nilo"
# X Window System configuration information
xconfig  --startxonboot
# System bootloader configuration
bootloader --location=mbr --boot-drive=sdb
# Partition clearing information
clearpart --none --initlabel 
# Disk partitioning information
part /boot --fstype="ext4" --noformat --onpart=sdb2
part swap --fstype="swap" --noformat --onpart=sdb1
part / --fstype="ext4" --onpart=sdb5

%packages
@admin-tools
@base-x
@core
@dial-up
@fonts
@guest-desktop-agents
@hardware-support
@input-methods
@kde-desktop
@multimedia
@printing
@standard

%end

From 
# grep -A2 -B1 '(WW\|(EE\|(NI' /var/log/Xorg.0.log
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    28.859] (==) Log file: "/var/log/Xorg.0.log", Time: Thu Aug 22 13:33:42 2013
[    28.868] (==) Using config directory: "/etc/X11/xorg.conf.d"
--
[    28.893] (II) LoadModule: "mach64"
[    28.894] (WW) Warning, couldn't open module mach64
[    28.894] (II) UnloadModule: "mach64"
[    28.894] (II) Unloading mach64
[    28.894] (EE) Failed to load module "mach64" (module does not exist, 0)
[    28.894] (II) LoadModule: "vesa"
[    28.894] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
--

[    28.899] (WW) Falling back to old probe method for modesetting
[    28.899] (EE) open /dev/dri/card0: No such file or directory
[    28.899] (WW) Falling back to old probe method for fbdev
[    28.899] (II) Loading sub module "fbdevhw"
[    28.899] (II) LoadModule: "fbdevhw"
--
[    28.899] 	ABI class: X.Org Video Driver, version 14.1
[    28.899] (EE) open /dev/fb0: No such file or directory
[    28.899] (II) Loading sub module "vbe"
[    28.900] (II) LoadModule: "vbe"
--
[    29.148] (II) VESA(0): <default monitor>: Using maximum pixel clock of 155.00 MHz
[    29.148] (WW) VESA(0): Unable to estimate virtual size
[    29.149] (II) VESA(0): Not using built-in mode "640x350" (no mode of this name)
[    29.149] (II) VESA(0): Not using built-in mode "512x384" (no mode of this name)

From:
# lspci -nnk|grep -iA3 VGA
04:09.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI Rage XL PCI [1002:4752] (rev 27)
	Subsystem: Super Micro Computer Inc Device [15d9:5180]
04:0a.0 Ethernet controller [0200]: Intel Corporation 82541GI Gigabit Ethernet Controller [8086:1076]
	Subsystem: Intel Corporation PRO/1000 MT Network Connection [8086:1076]
Comment 1 David Shea 2013-08-26 14:32:45 EDT
Anaconda did not install xorg-x11-drv-mach64 because the package is not in any package group.
Comment 2 Bill Nottingham 2013-08-26 15:08:25 EDT
This is intentional. We only install drivers that use the kernel's modesetting infrastructure by default with X. Older, legacy, hardware is supported through the VESA driver. Legacy native drivers are included as a convenience as long as they are easily buildable, but they would need to be installed separately. These older drivers may be removed in a future release - they're essentially deprecated.

Moving to the vesa driver to potentially fix the error in X bringup.
Comment 3 Dave Airlie 2013-08-27 00:13:56 EDT
please attach the full X org log for when mach64 isn't installed.
Comment 4 Danilo Marcucci 2013-08-27 01:54:51 EDT
Created attachment 790775 [details]
/var/log/Xorg.0.log
Comment 5 Dave Airlie 2013-08-27 21:35:06 EDT
0.496] (II) VESA(0): Setting up VESA Mode 0x11A (1280x1024)
[    30.496] (II) VESA(0): VBESetVBEMode failed, mode set without customized refresh.

wierd maybe, ajax might know more.
Comment 6 Fedora End Of Life 2015-01-09 14:35:47 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 11:55:25 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.